package com.ruoyi.approvalFlow.mapper;

import com.ruoyi.approvalFlow.domain.AuditItemsDo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface AuditItemsDoMapper {
    /**
     * 增一条
     */
    void insert(AuditItemsDo auditItemsDo);
    /**
     * 修改一条
     */
    void updateById(AuditItemsDo auditItemsDo);
    /**
     * 删一条
     */
    int deleteById(Long id);

    /**
     * 根据父级 id 删除数据
     */
    int deleteByFPid(Long fPid);
    /**
     * 查一条
     */
    Map<String,Object> selectById(Long id);
    /**
     * 根据父级 id 获取数据
     */
    List<Map<String,Object>> selectByFPid(Long fPid);
    /**
     * 根据活动号业务ID获取数据
     */
    List<Map<String,Object>> selectByActIdAndBillId(@Param("actId") Long actId,@Param("billId") Long billId);
}
